groovy.ui

## Class GroovySocketServer

- java.lang.Object
- - groovy.ui.GroovySocketServer

All Implemented Interfaces:
  Runnable

    public class GroovySocketServer
    extends Object
    implements Runnable

Simple server that executes supplied script against a socket

Version:
  $Id: GroovySocketServer.java 18226 2009-11-12 07:16:10Z paulk $
Author:
  Jeremy Rayner

### Constructor Summary

Constructors
Constructor and Description
`GroovySocketServer(GroovyShell groovy, boolean isScriptFile, String scriptFilenameOrText, boolean autoOutput, int port)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroovySocketServer

    public GroovySocketServer(GroovyShell groovy,
                      boolean isScriptFile,
                      String scriptFilenameOrText,
                      boolean autoOutput,
                      int port)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`